require 'uri'
require 'logger'
require 'rack'
require 'minicontext'
require 'tilt'
require 'rack/protection'

require 'tansu/version'
require 'tansu/context'
require 'tansu/response'
require 'tansu/render'
require 'tansu/environment'
require 'tansu/configuration'
require 'tansu/application'
require 'tansu/static'
require 'tansu/formatter'

module Tansu
  class << self
    def application
      Application.new
    end

    def root
      @root ||= Context.new
    end
  end
end
