module Tansu
  class Formatter < Logger::Formatter
    FORMAT = %{%s [%s] %s : %s\n}

    def call(severity, time, progname, msg)
      level = severity[0]
      timef = time.strftime("%Y-%m-%d %H:%M:%S %z")
      name  = progname || '-'

      FORMAT % [level, timef, name, msg]
    end
  end
end
